Bug 1796160 - [ceph-ansible] nfs deployment in rhcs4 fails in selinux enforcing mode
Summary: [ceph-ansible] nfs deployment in rhcs4 fails in selinux enforcing mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 4.1
Assignee: tserlin
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2020-01-29 18:05 UTC by subhash
Modified: 2020-05-19 17:32 UTC (History)
19 users (show)

Fixed In Version: nfs-ganesha-2.8.3-4.el8cp, nfs-ganesha-2.8.3-4.el7cp
Doc Type: Known Issue
Doc Text:
Documented with BZ#1794027
Clone Of:
Environment:
Last Closed: 2020-05-19 17:32:09 UTC
Target Upstream Version:
hyelloji: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 483661 None None None 2020-02-25 18:28:05 UTC
Red Hat Product Errata RHSA-2020:2231 None None None 2020-05-19 17:32:32 UTC

Comment 7 Scott Ostapovicz 2020-01-29 21:50:55 UTC
Thanks Thomas.  I agree this is not likely to be a ceph-ansible issue.  It looks like there is a rule missing somewhere (either selinux-policy-targeted or nfs-ganesha-selinux, but it looks like Kaleb would prefer selinux-policy-targeted as per https://bugzilla.redhat.com/show_bug.cgi?id=1788541). While it is clear this is NOT a ceph-ansible issue, are you sure that it is an RGW issue?  Perhaps this should be an issue with the FSAL_Ceph compoent in the product nfs-ganesha?

Comment 17 Kaleb KEITHLEY 2020-02-03 10:53:45 UTC
Would appreciate some help with this. Please review my proposed changes at https://review.gerrithub.io/c/ffilz/nfs-ganesha/+/483661

Thanks

Comment 29 errata-xmlrpc 2020-05-19 17:32:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231


Note You need to log in before you can comment on or make changes to this bug.